Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid

# Class LongBusinessMethodParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.LongBusinessMethodParticipant

@ApplicationScoped @Path("long-business-participant") public class LongBusinessMethodParticipant extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUSINESS_METHOD`
`static final String`
`ROOT_PATH`
`static final String`
`SYNC_METHOD`

## Constructor Summary

Constructors
Constructor
Description
`LongBusinessMethodParticipant()`

## Method Summary

Modifier and Type
Method
Description
`void`
`compensate(URI lraId)`
`jakarta.ws.rs.core.Response`
`enlistWithLongLatency(URI lraId)`
`jakarta.ws.rs.core.Response`
`sync()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ROOT_PATH

public static final String ROOT_PATH

See Also:
  - Constant Field Values

### BUSINESS_METHOD

public static final String BUSINESS_METHOD

See Also:
  - Constant Field Values

### SYNC_METHOD

public static final String SYNC_METHOD

See Also:
  - Constant Field Values

## Constructor Details

### LongBusinessMethodParticipant

public LongBusinessMethodParticipant()

## Method Details

### compensate

public void compensate(URI lraId)

### enlistWithLongLatency

@PUT @Path("business-method") public jakarta.ws.rs.core.Response enlistWithLongLatency(@HeaderParam("Long-Running-Action") URI lraId)

### sync

@PUT @Path("sync-method") public jakarta.ws.rs.core.Response sync()